#include <6170.h>
#include <top_node.h>
#include <player.h>
#include <ps5/http_server.h>

main(int argc, char **argv) {
if (argc != 3)
    {
	cerr << "Usage: "<<argv[0];
	cerr<< " port my_url_with_slash"<<endl;
	exit(1);
    }

    http_server *ns = new http_server (atoi(argv[1]),
				       new top_node(string(argv[2]),"http://web.mit.edu/6.170/groups/se01/Public/html/"));

				       while(1)
				       ns->handle_one();
				       }
    
